Skip to main content
`Ctrl`+`K`

# PetscViewerGLVisSetSnapId

Set the snapshot id. Only relevant when the `PetscViewerGLVisType` is `PETSC_VIEWER_GLVIS_DUMP`

## Synopsis

    #include "petscviewer.h"
    #include "petscsys.h"
    PetscErrorCode PetscViewerGLVisSetSnapId(PetscViewer viewer, PetscInt id)

Logically Collective

## Input Parameters

- viewer - the `PetscViewer` of type `PETSCVIEWERGLVIS`

- id - the current snapshot id in a time-dependent simulation

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERGLVIS`, `PetscViewerGLVisOpen()`, `PetscViewerGLVisSetFields()`, `PetscViewerCreate()`, `PetscViewerSetType()`

## Level

beginner

## Location

src/sys/classes/viewer/impls/glvis/glvis.c

## Implementations

PetscViewerGLVisSetSnapId_GLVis() in src/sys/classes/viewer/impls/glvis/glvis.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages